# Type alias gmfDisplayQueryWindowOptions

gmfDisplayQueryWindowOptions: {
collapsed?: boolean;
displayNullAttributes?: boolean;
featuresStyle: StyleLike;
selectedFeatureStyle: StyleLike;
}

The display query window component options.

#### Type declaration

- ##### `Optional` collapsed?: boolean

  If the query result window is collapsed.

- ##### `Optional` displayNullAttributes?: boolean

  If the attributes with null values should be displayed.

- ##### featuresStyle: StyleLike

  A style object for all features from the result of the query.

- ##### selectedFeatureStyle: StyleLike

  A style object for the currently selected features.

- Defined in srcapi/store/config.ts:1099

Generated using TypeDoc